<?php

/** Define a function to get the lang according to the cookie or the browser **/
if (!function_exists('sl_getlang')) {
	function sl_getlang() {

		global $available_langs;
		$available_langs=array('fr','de','it','en');
		$wanted_lang = 'fr'; //fallback

		// check if the lang cookie exist
		if ( isset($_COOKIE["Swisslinux_lang"]) && in_array($_COOKIE["Swisslinux_lang"],$available_langs) )
			$wanted_lang = $_COOKIE["Swisslinux_lang"];
		
		// Find the most wanted language in the client browser
		else {
			$browser_langs = explode(",",strtolower($_SERVER["HTTP_ACCEPT_LANGUAGE"]));

			while (list($key, $value) = each($browser_langs)) {
				// remove white space (trim)
				// and take only the 2 first caracters (substr)
				// then set to lower case (strlower)
				$wanted_langs[$key]= strtolower(substr(trim($value),0,2));
				}

			foreach ($wanted_langs as $w) {
				if ( in_array( $w, $available_langs ) ) {
					$wanted_lang = $w;
					break 1;
					}
				}
			}
		return $wanted_lang;
		}
	}
	
?>