<?php

/** ******************************************* **/
/** This page uses the Swisslinux.org's desgin  **/
/** written by fbianco			        **/
/** ******************************************* **/

/** Define some variables for the Swisslinux.org's design **/
require_once('/home/g-swisslinux/www/static.swisslinux.org/inc/sl_config.inc.php');
define('SL_SECTION', 'press'); // Section : main, association, wiki, forum, press, gallery, ...

require_once(SL_INC_PATH.'sl_l10n.inc.php');	// Load the localization objects and functions

/** Load the doctype file **/
require(SL_INC_PATH.'sl_doctype.inc.php');
?>

<head>

<title>Swisslinux.org − <?php bloginfo('name'); ?><?php wp_title();?></title>

<!-- Wordpress meta and link -->
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_get_archives('type=monthly&format=link'); ?>
<?php wp_head(); ?>

<?php
/** Load head files **/
require(SL_INC_PATH.'sl_head.inc.php');
?>

</head>

<body>

<?php
/** Load files for the top of the body **/
require(SL_INC_PATH.'sl_body_top.inc.php');
require(SL_INC_PATH.'sl_menu_begin.inc.php');

// BEGIN : Secondary menu (wiki, gallery, forum, ...)
?>

<!-- begin sidebar -->

<h1><?php _e('Categories:'); ?></h1>

	<ul>
	<?php wp_list_cats(); ?>
	</ul>

<?php
/*
<h1><?php _e('Search:'); ?></h1>
   <form id="searchform" method="get" action="<?php bloginfo('home'); ?>">
	<div>
		<input type="text" name="s" id="s" size="15" /><br />
		<input type="submit" value="<?php _e('Search'); ?>" />
	</div>
	</form>
*/
?>
<br />
<h1><?php _e('Archives:'); ?></h1>
	<ul>
	<?php wp_get_archives('type=monthly'); ?>
	</ul>

<!-- end sidebar -->

<?php
// END : Secondary menu

/** Terminate the menu **/
require(SL_INC_PATH.'sl_menu_end.inc.php');
?>

<?php
/** Swisslinux.org's news **/
require(SL_INC_PATH.'sl_news.inc.php');
?>

<?php /** BEGIN Swisslinux.org's main div **/ ?>
		<div id="sl_main">

<!-- BEGIN of WORDPRESS code -->

<div id="wp_content">
<h1 id="header"><a href="<?php bloginfo('url'); ?>/"><?php bloginfo('name'); ?></a></h1>

<div id="content">
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<h2 class="storytitle"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
<div class="post" id="post-<?php the_ID(); ?>">
	<?php the_date('','<h3>','</h3>'); ?>

	<div class="storycontent">
		<?php the_content(__('(more...)')); ?>
	</div>

<?php
/* turn off comment *
	<div class="feedback">
            <?php wp_link_pages(); ?>
            <?php comments_popup_link(__('Comments (0)'), __('Comments (1)'), __('Comments (%)')); ?>
	</div>
*/
?>
	<div class="meta"><?php the_author() ?><br /><?php _e("Filed under:"); ?> <?php the_category(',') ?><br /><?php edit_post_link(__('Edit This')); ?></div>
	
</div>

<?php
/*
comments_template(); // Get wp-comments.php template
*/
?>

<?php endwhile; else: ?>
<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
<?php endif; ?>

<?php posts_nav_link(' &#8212; ', __('&laquo; Previous Page'), __('Next Page &raquo;')); ?>

<!-- begin footer -->
</div>

</div>

<?php wp_footer(); ?>

<!-- END of WORDPRESS code -->

		</div>
<?php /** END Swisslinux.org's main div **/?>

<?php
/** Terminate the page with footer **/
require(SL_INC_PATH.'sl_body_bottom.inc.php');
?>

</body>
</html>



