<?php

/** ******************************************* **/
/** This page uses the Swisslinux.org's desgin  **/
/** written by fbianco			        **/
/** ******************************************* **/

/** Define some variables for the Swisslinux.org's design **/
require_once('/home/g-swisslinux/www/static.swisslinux.org/inc/sl_config.inc.php');
define('SL_SECTION', 'wiki'); // Section : main, association, wiki, forum, press, gallery, ...

require_once(SL_INC_PATH.'sl_l10n.inc.php');	// Load the localization objects and functions

/** Load the doctype file **/
require(SL_INC_PATH.'sl_doctype.inc.php');

// must be run from within DokuWiki
if (!defined('DOKU_INC')) die();

?>

<head>

  <title>
    Swisslinux.org's Wiki − 
     <?php echo hsc(tpl_img_getTag('IPTC.Headline',$IMG))?>
    [<?php echo strip_tags($conf['title'])?>]
  </title>

  <?php tpl_metaheaders()?>

<?php
/** Load head files **/
require(SL_INC_PATH.'sl_head.inc.php');
?>

</head>

<body>

<?php
/** Load files for the top of the body **/
require(SL_INC_PATH.'sl_body_top.inc.php');
require(SL_INC_PATH.'sl_menu_begin.inc.php');

// BEGIN : Secondary menu (wiki, gallery, forum, ...)
?>

				<h1>Wiki</h1>
<?php
tpl_actionlink('edit'); echo "\n";
tpl_actionlink('history'); echo "\n";
tpl_actionlink('index'); echo "\n";
tpl_actionlink('recent'); echo "\n";
tpl_actionlink('admin'); echo "\n";
tpl_actionlink('profile'); echo "\n";
tpl_actionlink('login'); echo "\n";
?>

<?php
// END : Secondary menu

/** Terminate the menu **/
require(SL_INC_PATH.'sl_menu_end.inc.php');
?>

<?php
/** Swisslinux.org's news **/
require(SL_INC_PATH.'sl_news.inc.php');
?>

<?php /** BEGIN Swisslinux.org's main div **/ ?>
		<div id="sl_main">

<!-- BEGIN of DOKUWIKI code -->

<div class="dokuwiki">
  <?php html_msgarea()?>

  <div class="page">
    <?php if($ERROR){ print $ERROR; }else{ ?>

    <h1><?php echo hsc(tpl_img_getTag('IPTC.Headline',$IMG))?></h1>

    <div class="img_big">
      <?php tpl_img(900,700) ?>
    </div>

    <div class="img_detail">
      <p class="img_caption">
        <?php print nl2br(hsc(tpl_img_getTag(array('IPTC.Caption',
                                               'EXIF.UserComment',
                                               'EXIF.TIFFImageDescription',
                                               'EXIF.TIFFUserComment')))); ?>
      </p>

      <p>&larr; <?php echo $lang['img_backto']?> <?php tpl_pagelink($ID)?></p>

      <dl class="img_tags">
        <?php
          $t = tpl_img_getTag('Date.EarliestTime');
          if($t) print '<dt>'.$lang['img_date'].':</dt><dd>'.date($conf['dformat'],$t).'</dd>';

          $t = tpl_img_getTag('File.Name');
          if($t) print '<dt>'.$lang['img_fname'].':</dt><dd>'.hsc($t).'</dd>';

          $t = tpl_img_getTag(array('Iptc.Byline','Exif.TIFFArtist','Exif.Artist','Iptc.Credit'));
          if($t) print '<dt>'.$lang['img_artist'].':</dt><dd>'.hsc($t).'</dd>';

          $t = tpl_img_getTag(array('Iptc.CopyrightNotice','Exif.TIFFCopyright','Exif.Copyright'));
          if($t) print '<dt>'.$lang['img_copyr'].':</dt><dd>'.hsc($t).'</dd>';

          $t = tpl_img_getTag('File.Format');
          if($t) print '<dt>'.$lang['img_format'].':</dt><dd>'.hsc($t).'</dd>';

          $t = tpl_img_getTag('File.NiceSize');
          if($t) print '<dt>'.$lang['img_fsize'].':</dt><dd>'.hsc($t).'</dd>';

          $t = tpl_img_getTag('Simple.Camera');
          if($t) print '<dt>'.$lang['img_camera'].':</dt><dd>'.hsc($t).'</dd>';

          $t = tpl_img_getTag(array('IPTC.Keywords','IPTC.Category'));
          if($t) print '<dt>'.$lang['img_keywords'].':</dt><dd>'.hsc($t).'</dd>';

        ?>
      </dl>
      <?php //Comment in for Debug// dbg(tpl_img_getTag('Simple.Raw'));?>
    </div>

  <?php } ?>
  </div>
</div>


<!-- END of DOKUWIKI code -->

		</div>
<?php /** END Swisslinux.org's main div **/?>

<?php
/** Terminate the page with footer **/
require(SL_INC_PATH.'sl_body_bottom.inc.php');
?>

</body>
</html>